Skip to main content
`Ctrl`+`K`

# DMPlexGetCellTypeLabel

Get the `DMLabel` recording the polytope type of each cell

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCellTypeLabel(DM dm, DMLabel *celltypeLabel)

Not Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- celltypeLabel - The `DMLabel` recording cell polytope type

## Note

This function will trigger automatica computation of cell types. This can be disabled by calling `DMCreateLabel`(dm, “celltype”) beforehand.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetCellType()`, `DMPlexGetDepthLabel()`, `DMCreateLabel()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages